Intel® Fortran Compiler
Build applications that can scale for the future with optimized code designed for Intel® Xeon® and compatible processors.

License error

Citlalli
Beginner
410 Views

Hi everyone, I got this error when trying to compile with ifort

 

ifort: error #10052: could not checkout FLEXlm license

 

I have read that the newest version of Intel fortran compiler, does not need any license so I have installed Intel OneAPI, then I tried to compile my code and I got the same error.  What do i need to do?.

 

Thank you in advance

0 Kudos
1 Solution
DavidWhite
Black Belt
398 Views

Are you definitely using the new compiler?  You didn't indicate whether you are using Windows or Linux.  For example in Visual Studio, there can be multiple versions of the compiler integrated with VS.  You might still be trying to use the old version.

 

To make sure, you may want to uninstall the old version and reinstall/repair the OneAPI version.

View solution in original post

0 Kudos
2 Replies
DavidWhite
Black Belt
399 Views

Are you definitely using the new compiler?  You didn't indicate whether you are using Windows or Linux.  For example in Visual Studio, there can be multiple versions of the compiler integrated with VS.  You might still be trying to use the old version.

 

To make sure, you may want to uninstall the old version and reinstall/repair the OneAPI version.

0 Kudos
Citlalli
Beginner
375 Views

I'm using Linux, I will uninstall the old version as you suggest and reinstall the OneAPI version. 

 

Thank you so much for your reply.

0 Kudos
Reply